<?php

namespace common\logic\User\UserProducer;

use common\logic\ContainerInterface;
use common\logic\User\UserProducer\UserProducerModel;
use common\logic\User\UserProducer\UserProducerRepository;

class UserProducerContainer implements ContainerInterface
{
    public function getEntityFqcn(): string
    {
        return UserProducerModel::class;
    }

    public function getServices(): array
    {
        return [
            UserProducerRepository::class
        ];
    }

    public function getRepository(): UserProducerRepository
    {
        return new UserProducerRepository();
    }
}